
/*
        Copyright (C), 1993 SEIKO EPSON Corp.
                ALL RIGHTS RESERVED
 
        file name : ctype.h
 
 
        revision history
                1st release     1993/10/1       mizutani
                change prototype definition
                                1993/12/17      shinozuka
              * /usr/PIECE/include にあるファイルよりも、このファイルが優先されるよう、
                clip.mkにて、インクルードパスを設定してあります。
              * コンパイル時に引数型を検査するため、関数宣言をK&R→ANSIに変更しました。
                変更においては、『MSDN ライブラリ Visual Studio 6.0』を参考にしました。
              * 変更前の仮引数コメントは、char型となっていましたが、正しくはint型です。
                宣言をchar→intに変更しても、バイナリは変更不要ですので、修正しました。
                                2006/02/22      Naoyuki Sawa
*/

#ifndef _CTYPE
#define _CTYPE

int isalnum(int c);	// int isalnum( /* char */ ) ;
int isalpha(int c);	// int isalpha( /* char */ ) ;
int iscntrl(int c);	// int iscntrl( /* char */ ) ;
int isdigit(int c);	// int isdigit( /* char */ ) ;
int isgraph(int c);	// int isgraph( /* char */ ) ;
int islower(int c);	// int islower( /* char */ ) ;
int isprint(int c);	// int isprint( /* char */ ) ;
int ispunct(int c);	// int ispunct( /* char */ ) ;
int isspace(int c);	// int isspace( /* char */ ) ;
int isupper(int c);	// int isupper( /* char */ ) ;
int isxdigit(int c);	// int isxdigit( /* char */ ) ;
int tolower(int c);	// int tolower( /* char */ ) ;
int toupper(int c);	// int toupper( /* char */ ) ;

#endif
